//PROGRAMA QUE MUESTRA LA POSICION DEL CABALLO -del ajedrez- Y SUS POSIBLES JUGADAS

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

void main(){
  int f,c,fila,columna;

  printf("Introduzca coordenada de fila de 0 a 7: ");
  scanf("%d",&fila);
  printf("Introduzca coordenada de columna de 0 a 7: ");
  scanf("%d",&columna);

  if ((fila>7) || (columna>7))
    printf("ERROR: LA COORDENADA DADA NO ESTA DENTRO DEL TABLERO \n\n");
  else{
    for (f=0;f<8;f++){
      for (c=0;c<8;c++)
       if (((f)==fila) && ((c)==columna))
         printf("C  ");
       else if (f==(fila-2) && c==((columna-1)))
         printf("V  ");
       else if (f==(fila+2) && c==((columna-1)))
         printf("V  ");
       else if (f==(fila-1) && c==((columna+2)))
         printf("V  ");
       else if (f==(fila-1) && c==((columna-2)))
         printf("V  ");
       else if (f==(fila+1) && c==((columna-2)))
         printf("V  ");
       else if (f==(fila-2) && c==((columna+1)))
         printf("V  ");
       else if (f==(fila+1) && c==((columna+2)))
         printf("V  ");
       else if (f==(fila+2) && c==((columna+1)))
         printf("V  ");
       else
         printf("*  ");
       printf("\n\n");
    }

  } 
  
}
